## hunspell-bo 0.3.0

=== debian/changelog ===
hunspell-bo (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #714623).

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Thu, 1 Sep 2016 10:10:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

#
# override the default makefile target
# test target is made separately, so we only build firefox and lo
override_dh_auto_build:
	make firefox lo

override_dh_auto_install:
	dh_auto_install
	installdeb-hunspell

## hunspell-bo 0.4.0

=== Makefile ===
.PHONY: test error clean update firefox lo

error:
	@echo "Please choose one of the following target: update, test, firefox, lo"

all: update test firefox lo

update:
	@echo "Update bo.dic with tibetan-spellchecker data"
	rm -rf tmp-tibetan-spellchecker-git
	git clone git@github.com:eroux/tibetan-spellchecker.git tmp-tibetan-spellchecker-git
	wc -l tmp-tibetan-spellchecker-git/syllables/*.txt |grep total | cut -d' ' -f2 > bo.dic
	cat tmp-tibetan-spellchecker-git/syllables/*.txt >> bo.dic
	rm -rf tmp-tibetan-spellchecker-git

test:
	@echo "All the following lines should be stars:\n"
	hunspell -d bo -a tests/pass.txt
	@echo "\nNone the following lines should be stars:\n"
	hunspell -d bo -a tests/fail.txt

firefox:
	$(MAKE) -C firefox

lo:
	$(MAKE) -C lo

clean:
	rm -rf tmp-tibetan-spellchecker-git
	$(MAKE) -C firefox clean
	$(MAKE) -C lo clean
	$(MAKE) -C debian clean

=== firefox/Makefile ===
all: xpi

xpi: install.rdf ../bo.dic ../bo.aff
	@echo "Making xpi file for firefox..."
	@mkdir -p dictionaries && cp ../bo.dic ../bo.aff dictionaries
	@zip -rq tibetan-spellchecker.xpi install.rdf dictionaries

clean:
	@rm -rf dictionaries README tibetan-spellchecker.xpi

=== lo/Makefile ===
all: oxt

# https://wiki.openoffice.org/wiki/Documentation/DevGuide/Extensions/File_Format

FILES=dictionaries.xcu description.xml package-description.txt

oxt: $(FILES) ../README.md ../CHANGELOG.md ../bo.dic ../bo.aff META-INF/manifest.xml
	@echo "Making oxt file for LibreOffice..."
	@mkdir -p dictionaries && cp ../bo.dic ../bo.aff dictionaries
	@cp ../README.md .
	@zip -rq tibetan-spellchecker.oxt dictionaries $(FILES) META-INF README.md CHANGELOG.md

clean:
	@rm -rf dictionaries README.md CHANGELOG.md tibetan-spellchecker.oxt

=== debian/changelog ===
hunspell-bo (0.4.0-4) unstable; urgency=medium

  * Remove unintended changes introduced in version 0.4.0-3 that are not
    relevant to the solution of bug #1109315 and were not declared in the
    changelog:
    - Cosmetic changes in debian/control. The content in this file was reversed
      to meet version 0.4.0-2.
    - Cosmetic changes in debian/install. The content in this file was reversed
      to meet version 0.4.0-2.
    - The debian/info-myspell file was declared to be removed but this never
      happened as the file does not exist in version 0.4.0-2 either.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 19 Jul 2025 10:55:21 -0400

hunspell-bo (0.4.0-3) unstable; urgency=medium

  [ Manuel Guerra ]
  * debian/links:  Add file to create symlinks to regional variant languages to
    the name of the Hunspell dictionary files to make them work with LibreOffice
    (Closes: #1109315).
  * debian/install:  Install the renamed dictionary files.
  * debian/info-myspell:  Remove no more needed file.

  [ Soren Stoutner ]
  * debian/copyright:  Add Elie Roux's email address to the main Files: *
    stanza.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 15 Jul 2025 20:28:30 -0400

hunspell-bo (0.4.0-2) unstable; urgency=medium

  [Manuel Guerra]
  * debian/compat:  Deleted file. Compat is now defined in debian/control.
  * debian/control:
    - Added support for bdic binary dictionary files (Closes: #1020479).
    - Add Vcs fields pointing to the new Salsa repository.
  * debian/copyright:  Updated copyright info.
  * debian/install:  Set location for .bdic file.
  * debian/rules:  Builds the .bdic file.
  * debian/watch:  Fixed scan to get the tarballs from upstream.

  [Soren Stoutner]
  * Remove debian/hunspell-bo.links.  There is no need to create links for
    regional variants that just point back to the main dicitonary file, as
    spellchecking will automatically fall back to the main language.
  * Remove unneeded binary package prefix from file names:
    - debian/hunspell-bo.docs > debian/docs
    - debian/hunspell-bo.info-hunspell > debian/info-hunspell
    - debian/hunspell-bo.install > debian/install
  * Remove unused, historical debian/Makefile.
  * Add debian/clean to remove compiled .bdic binary dicationary.
  * Add debian/lintian-overrides.
  * Add debian/salsa-ci.yml with recommended default contents.
  * debian/control:
    - Add myself as maintainer and move Elie Roux to uploader
      (Closes: #1100864).
    - Remove suggests on programs that can use a Hunspell dictionary.  Such
      lists would always be partial and provide no benefit to users.
    - Remove obsolete conflicts.
    - Update standards-version to 4.7.2, no changes needed.
  * debian/copyright:
    - Add myself to the debian/* files stanza.
    - Refactor for readability.
  * debian/info-hunspell:  Remove references to language variants that just
    pointed back to the main language file.
  * debian/rules:  Refactor entire file.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 29 Mar 2025 19:21:34 -0400

hunspell-bo (0.4.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:34:22 +0100

hunspell-bo (0.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Sun, 27 Aug 2017 19:08:34 +0200

=== debian/control ===
Source: hunspell-bo
Section: text
Priority: optional
Maintainer: Soren Stoutner <soren@debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>,
           Elie Roux <elie.roux@telecom-bretagne.eu>
Build-Depends: debhelper-compat (= 13),
               zip,
               hunspell,
               convert-bdic
Build-Depends-Indep: dictionaries-common-dev
Rules-Requires-Root: no
Homepage: https://github.com/eroux/hunspell-bo
Vcs-Git: https://salsa.debian.org/debian/hunspell-bo.git
Vcs-Browser: https://salsa.debian.org/debian/hunspell-bo
Standards-Version: 4.7.2

Package: hunspell-bo
Architecture: all
Depends: dictionaries-common,
         ${misc:Depends}
Provides: hunspell-dictionary,
          hunspell-dictionary-bo
Suggests: hunspell
Description: Classical Tibetan language dictionary for hunspell
 This dictionary contains Tibetan valid syllables for the hunspell
 spellchecker. Contains all possible legal syllables of Classical
 Tibetan, plus the syllables found in many proper nouns.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_build:
	# Make a copy of the dictionary files.
	cp bo.aff bo-copy.aff
	cp bo.dic bo-copy.dic

	# Remove any instances of IGNORE from bo-copy.aff, as these are not
	# supported by .bdic.  <https://bugreports.qt.io/browse/QTBUG-107600>
	sed -i '/IGNORE/d' bo-copy.aff

	# Compile the .bdic binary dictionary.
	convert-bdic bo-copy.dic bo.bdic

	# Remove the copies of the dictionary files.
	rm bo-copy.aff
	rm bo-copy.dic

execute_after_dh_auto_install:
	# Install the info-hunspell file.
	installdeb-hunspell

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/v$1\.tar\.gz/, \
https://github.com/eroux/hunspell-bo/tags .*/v?(\d\S+)\.tar\.gz
